@import "mixin";
.container-main {
position: relative;
max-width: 320px;
margin: 0 auto;
}
.main{
  position: relative;
  left: -10px;
  top: 82px;
  width: 232px;
  height: 693px;
  &-title{
    @include tFont;
    font-weight: bold;
    font-size: 14px;
    line-height: 22px;
    color: #4E4E4E;
    text-transform: uppercase;
  }
  &-links{
    width: 232px;
    height: 196px;
    text-decoration: none;
    &__image{
      margin-top: 32px;
      width: 160px;
      height: 140px;
    }
   &__title{
     @include tFont;
     font-weight: bold;
     @include font-size-title;
   }
    &__comments{
      @include tFont;
      @include font-size-posts;
    }
    &__paragraph{
      @include tFont;
      font-weight: normal;
      font-size: 14px;
      line-height: 26px;
      color: #5C5C5C;
      display: none;
    }
  }
}
.inactive-links{
  display: none;
}
.inactive-image{
  display: none;
}
.instagram-container{
  position: relative;
  top: 53px;
  max-width: 373px;
  background: #F7F7F7;
  height: 416px;
}
.instagram{
  position: absolute;
  left: 15px;
  width: 100%;

  &-title{
    position: absolute;
    top: 38px;
    &__go{
      display: none;
    }
  }
  &-pictures{
    position: absolute;
    top: 67px;
  }
}
@media all and (min-width: 768px) {
  .container-main {
    position: relative;
    max-width: 768px;
    margin: 0 auto;
  }
  .main{
    position: relative;
    top: 149px;
    left: 10px;
    width: 555px;
    height: 699px;
    &-title{
      @include tFont;
      font-weight: bold;
      font-size: 16px;
      line-height: 22px;
      margin-bottom: 25px;
      color: #4E4E4E;
      text-transform: uppercase;
    }
    &-posts{
      width: 555px;
  display: flex;
  flex-wrap: wrap;
  flex-basis: 100%;
      justify-content: space-around;
}
    &-links{
      display: flex;
      justify-content: space-around;
      position: relative;
      left: -9px;
      width: 555px;
      height: 140px;
      text-decoration: none;
      margin-bottom: 32px;
      gap: 21px;
      &__image{
        margin: 0;
        width: 160px;
        height: 140px;
      }
      &__title{
        display: flex;
        gap: 10px;
        flex-wrap: wrap;
        @include tFont;
        font-weight: bold;
        @include font-size-title-768;
        width: 377px;
      }
      &__comments{
        @include tFont;
        @include font-size-posts-768;
      }
      &__paragraph{
        @include tFont;
        font-weight: normal;
        font-size: 14px;
        line-height: 26px;
        color: #5C5C5C;
        display: block;
        width: 404px;
        height: 40px;
      }
    }
  }
  .inactive-image{
    display: block;
    &__1200{
      display: none;
    }
  }
  .instagram-container{
    position: relative;
    max-width: 940px;
      top: 216px;
      background: #F7F7F7;
      height: 403px;
  }
    .instagram{
    position: absolute;
      left: 0;
    width: 100%;
    &-grid{
      position: relative;
      top: -35.5px;
      left: 80px;
      width: 768px;
      height: 249px;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
      grid-gap: 10px;
    }
      &-title-cont{
        display: flex;
        justify-content: space-around;
        gap: 190px;
      }
    &-title{
      position: relative;
      top: 42px;
      @include tFont;
      font-weight: bold;
      font-size: 13px;
      line-height: 22px;
margin-bottom: 32px;

&__go{
  display: flex;
}
    }
    &-pictures{
      position: relative;
      width: 250px;
      height: 250px;
    }
  }
}
@media all and (min-width: 1200px) {
  .container-main {
    position: relative;
    max-width: 1200px;
    margin: 0 auto;
  }
  .main{
    position: relative;
    top: 149px;
    width: 1165px;
    height: 355px;
    &-title{
      @include tFont;
      font-weight: bold;
      font-size: 16px;
      line-height: 22px;
      margin-bottom: 25px;
      color: #4E4E4E;
      text-transform: uppercase;
    }
    &-posts{
      display: flex;
      width: 1165px;
      flex-wrap: wrap;
      flex-basis: 50%;
      justify-content: space-around;
    }
    &-links{
      position: relative;
      left: -13px;
      display: flex;
      justify-content: space-around;
      width: 555px;
      height: 140px;
      text-decoration: none;
      margin-bottom: 32px;
      &__image{
        margin: 0;
        width: 160px;
        height: 140px;
      }
      &__title{
        display: flex;
        gap: 10px;
        flex-wrap: wrap;
        @include tFont;
        font-weight: bold;
        @include font-size-title-768;
        width: 377px;
      }
      &__comments{
        @include tFont;
        @include font-size-posts-768;
      }
      &__paragraph{
        @include tFont;
        font-weight: normal;
        font-size: 14px;
        line-height: 26px;
        color: #5C5C5C;
        display: block;
        width: 404px;
        height: 40px;
      }
    }
  }
  .inactive-image{
    display: block;
  }
  .instagram-container{
    position: relative;
    max-width: 1600px;
      background: #F7F7F7;
      height: 427px;
    }
  .instagram{
    position: absolute;
    width: 100%;
    &-grid{
      position: relative;
      top: -23.5px;
      left: 215px;
      display: grid;
      width: 1170px;
      height: 285px;
      grid-template-columns: repeat(4, 1fr);
      grid-gap: 10px;
    }
      &-title-cont{
        display: flex;
        justify-content: space-around;
      gap: 355px;
    }
    &-title{
      @include tFont;
      font-weight: bold;
      font-size: 13px;
      line-height: 22px;
      position: relative;
      &__go{
        display: flex;
        left: 16px;
      }
    }
    &-pictures{
      position: relative;
      width: 285px;
      height: 285px;
    }

  }
}